LS(1)

NOM
ls - Afficher le contenu de répertoires

SYNOPSIS
ls [OPTION]... [FICHIER]...

DESCRIPTION

Afficher les informations des FICHIERs (du répertoire courant par défaut). Les entrées sont triées alphabétiquement si aucune des options -cftuvSUX ou --sort n'est indiquée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --all
    inclure les entrées débutant par « . »

-A, --almost-all
    omettre les fichiers « . » et « .. »

--author
    avec -l, afficher l'auteur de chaque fichier

-b, --escape
    afficher les caractères non graphiques sous la forme C déspécifiée

--block-size=TAILLE
    utiliser cette TAILLE de bloc pour l'affichage. Par exemple « --block-size=M » affichera les volumes en unités de 1 048 576 octets. Consultez le format de TAILLE ci-dessous

-B, --ignore-backups
    omettre les entrées se terminant par « ~ »

-c  avec -lt, trier selon la date de modification « ctime » en l'affichant ; avec -l, trier selon le nom et afficher la date de modification ; sinon, trier selon la date de modification, de la plus récente à la plus ancienne

-C  afficher en colonnes

--color[=PARAMÈTRE]
    colorer la sortie. PARAMÈTRE vaut « always » par défaut et peut prendre les valeurs « never » ou « auto ». Plus d'informations ci-dessous.

-d, --directory
    afficher les noms de répertoires plutôt que leur contenu et ne pas déréférencer les liens symboliques

-D, --dired
    créer une sortie adaptée au mode « dired » d'Emacs

-f  ne pas trier, activer les options -aU et désactiver les options -ls --color

-F, --classify
    ajouter un caractère (parmi « */=>@| ») à chaque entrée

--file-type
    similaire, mais sans ajouter « * »

--format=MODE
    afficher selon le MODE across -x, commas -m, horizontal -x, long -l, single-column -1, verbose -l ou vertical -C

--full-time
    identique à -l --time-style=full-iso

-g  identique à -l mais sans afficher le propriétaire

--group-directories-first
    regrouper les répertoires avant les fichiers.

    renforcé avec l'option --sort, mais l'utilisation de --sort=none (-U) désactive le regroupement

-G, --no-group
    ne pas afficher le nom des groupes dans un format d'affichage long

-h, --human-readable
    avec -l, afficher les tailles dans un format lisible par un humain (par exemple 1K 234M 2G)

--si
    équivalent, en utilisant des puissances de 1000 et non de 1024

-H, --dereference-command-line
    suivre les liens symboliques de la ligne de commande

--dereference-command-line-symlink-to-dir
    suivre chaque lien symbolique de la ligne de commande qui pointe vers un répertoire

--hide=MOTIF
    ne pas afficher les entrées implicites correspondant au MOTIF de l'interpréteur de commandes (écrasé par -a ou -A)

--indicator-style=STYLE
    ajouter au nom des entrées l'indicateur de STYLE : none (aucun, par défaut), slash (-p), file-type (--file-type) ou classify (-F)

-i, --inode
    afficher le numéro d'index de chaque fichier

-I, --ignore=MOTIF
    ne pas afficher les entrées implicites correspondant au MOTIF de l'interpréteur de commandes

-k, --kibibytes
    utiliser des blocs de 1024 octets

-l  utiliser un format d'affichage long

-L, --dereference
    lors de l'affichage des entrées pointées par des liens symboliques, afficher les informations du fichier pointé par le lien plutôt que celles du lien lui-même

-m  remplir la largeur par une liste d'entrées séparée par des virgules

-n, --numeric-uid-gid
    identique à -l mais en affichant les valeurs numériques des identifiants du propriétaire (UID) et du groupe (GID)

-N, --literal
    afficher les noms bruts des entrées (par exemple, ne pas traiter de manière particulière les caractères de contrôle)

-o  identique à -l, mais sans afficher l'information de groupe

-p, --indicator-style=slash
    ajouter l'indicateur « / » aux répertoires

-q, --hide-control-chars
    afficher « ? » à la place des caractères non graphiques

--show-control-chars
    afficher les caractères non graphiques tels quels (comportement par défaut, à moins que le programme ne soit « ls » et la sortie un terminal)

-Q, --quote-name
    mettre les noms d'entrées entre guillemets

--quoting-style=MOT_CLÉ
    utiliser le style d'encapsulation selon le MOT_CLÉ literal, locale, shell, shell-always, c ou escape

-r, --reverse
    inverser l'ordre du tri

-R, --recursive
    afficher récursivement les sous-répertoires

-s, --size
    afficher la taille allouée de chaque fichier en nombre de blocs

-S  trier selon la taille des fichiers

--sort=MODE
    trier selon le MODE plutôt que selon le nom : none (aucun, -U), extension (-X), size (taille, -S), time (heure, -t), version (-v).

--time=MODE
    avec -l, afficher la date selon le MODE au lieu de la date de modification : atime -u, access -u, use -u, ctime -c ou status -c, tel qu'indiqué dans la clé de tri --sort=date

--time-style=STYLE
    avec -l, afficher les dates selon le STYLE désiré : full-iso, long-iso, iso, locale ou +FORMAT ; le FORMAT est interprété comme « date » ; si FORMAT vaut FORMAT1<nouvelle_ligne>FORMAT2, FORMAT1 s'applique aux fichiers anciens et FORMAT2 aux fichiers récents ; si STYLE est préfixé par « posix- », STYLE ne prend effet qu'en dehors de la locale POSIX.

-t  trier selon la date de modification, de la plus récente à la plus ancienne

-T, --tabsize=COLONNES
    définir l'espacement des tabulations à COLONNES plutôt qu'à 8

-u  avec -lt, trier et afficher selon la date de dernier accès ; avec -l, afficher la date de dernier d'accès et trier par nom ; dans les autres cas, trier selon la date de dernier accès

-U  ne pas trier, afficher selon l'ordre original des entrées du répertoire

-v  tri naturel des numéros (de version) dans le texte

-w, --width=COLONNES
    fixer la largeur de l'écran à COLONNES

-x  afficher les entrées par ligne plutôt que par colonne

-X  trier alphabétiquement selon l'extension des entrées

-Z, --context
    afficher tout contexte de sécurité SELinux de chaque fichier

-1  afficher un fichier par ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

TAILLE doit être un nombre suivi optionnellement d'une unité (par exemple : 10M vaut 10*1024*1024). Les unités possibles sont K, M, G, T, P, E, Z, Y (puissances de 1024) ou KB, MB, ... (puissances de 1000).

La couleur n'est pas utilisée pour distinguer les différents types de fichiers par défaut ou avec l'option --color=never. Avec l'option --color=auto, ls n'utilise des codes couleur que si la sortie standard est reliée à un terminal. La variable d'environnement LS_COLORS peut avoir un impact sur la configuration. Utilisez la commande dircolors pour la définir.

  État de fin d'exécution :

0   si OK,

1   si problèmes mineurs (par exemple, impossible d'accéder à un sous-répertoire),

2   si erreur grave (par exemple, impossible d'accéder aux paramètres de la ligne de commande).

AUTEUR
Écrit par Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Signaler toute anomalie de ls à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de ls à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour ls est disponible dans un manuel Texinfo. Si les programmes info et ls sont correctement installés sur votre système, la commande

    info coreutils 'ls invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.